/**
 * utils.h: Class delivers some static helper functions
 * 
 * Copyright: See COPYING file that comes with this distribution
 *
 * Author: Matthias Feistel <hitman_47@users.sourceforge.net>, (C) 2007
 */

#include <string>

class cUtils
{
public:
	static bool compare_nocase( const std::string x, const std::string y );
	/**
	 * rfc1738_encode
	 * Encode string per RFC1738 URL encoding rules
	 * tnx rstaveley
	 */
	static std::string rfc1738_encode( const std::string& src ); // from Sockets; Utility.h (www.alhem.net/Sockets/)
	static std::string MD5(const std::string& input);
};
